This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 704040 - keepalived: insecure permissions on pid files [fedora-all]
keepalived: insecure permissions on pid files [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: keepalived (Show other bugs)
16
All Linux
low Severity low
: ---
: ---
Assigned To: Ryan O'Hara
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2011-1784
  Show dependency treegraph
 
Reported: 2011-05-11 18:47 EDT by Vincent Danen
Modified: 2012-09-04 19:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 18:58:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-05-11 18:47:00 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=704039

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora End Of Life 2012-08-07 15:35:38 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tomas Hoger 2012-08-08 04:36:18 EDT
Still an issue in keepalived-1.2.2-4.fc16.
Comment 4 Ryan O'Hara 2012-08-20 13:15:19 EDT
Updated keepalived in F16 to version 1.2.3 which contains the fix mentioned in comment 3.
Comment 5 Fedora Update System 2012-08-20 13:53:44 EDT
keepalived-1.2.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/keepalived-1.2.3-2.fc16
Comment 6 Ryan O'Hara 2012-08-20 13:58:15 EDT
Note that F17, F18 and rawhide already have updates that resolve this problem.
Comment 7 Fedora Update System 2012-08-20 23:57:27 EDT
keepalived-1.2.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/keepalived-1.2.5-2.fc17
Comment 8 Fedora Update System 2012-08-20 23:57:27 EDT
keepalived-1.2.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/keepalived-1.2.3-2.fc16
Comment 9 Fedora Update System 2012-08-21 05:54:10 EDT
Package keepalived-1.2.3-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing keepalived-1.2.3-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12367/keepalived-1.2.3-2.fc16
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-09-04 18:58:51 EDT
keepalived-1.2.3-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-09-04 19:00:13 EDT
keepalived-1.2.5-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.